@REG_NAME
OPTImon
#
#  This is a devcom monitor list spec file.
#  The file is activated with devcom_mon <priority> </pathtothisspecfile> 
#  The command string (column 3) will be sent to the devcom device/instrument server 
#  (column 2), on each event (1st column).  The action can be started and stopped with
#  optional events specified in column 4 and 5.
#  The column 1 event can be a named event or a ms timer value.  Start and stop events
#  must be named events.  All events will be created as temporary events if they do not
#  exists.
#
#  The user should test the command string with devcom_smsg_tst before adding it to this
#  file.  If an error is detected executing the command the event "REG_NAME"_err will
#  be set.
#
#  The list is sorted by event id (column 1), so like events are grouped, but otherwise
#  is sequentually executed.  There is NO treading accross different devices, so the
#  whole list will be paced by your slowest command/device.
#  There is also a limit of 200 commands.  If you need more break it up into multiple lists.
#

# log a bunch of stuff to /data/errors/devcom_mon.DATE
$Debug
 true

# This MUST be located before the first command entry.
$CMDS
# event, device, command string, start event, stop event
# or ms
#If there is a segment that you do not care about you can use '-' to ignore it

1000, OPTI, "getStream cmd_response Value1 Value2 -"

#NOTES:
#An example if there were additional arguments being sent to the device would
#be: 1000, Heratherm, "getStream 'argument1' cmd_response Value1 Value2 -"
#The argument gets placed in ''
#you can test all of these commands with devcom_smsg_tst with similar format
#to these commands. do "man devcom_smsg_tst" for more details of how to use


$
# the list MUST end with a dollar sign
